Subject: Re: [bug#34780] [PATCH] gnu: openmpi: Add Java support.

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 18 Mar 2019 15:06:24 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi Ricardo,
>
> Ricardo Wurmus <[email-masked]> skribis:
>
>> * gnu/packages/mpi.scm (openmpi)[native-inputs]: Add openjdk11.
>> [outputs]: Add "java".
>> [arguments]: Add "--enable-mpi-java" to configure flags; add build phases
>> "set-JAVA_HOME" and "move-java".
>
> Nice.
>
> I’m uncomfortable adding OpenJDK as an input to OpenMPI though, because
> that puts more stress on the build times and potentially on platform
> support as well.

I understad.

> Would it be an option to create a separate “openmpi-java” or would that
> create problems down the road?

I’ll give that a try.  I’m not sure if it’s possible to build the Java
parts in isolation, but that would be nice.

-- 
Ricardo